Support » Plugin: The GDPR Framework By Data443 » Latest update is corrupt

Viewing 9 replies - 1 through 9 (of 9 total)
  • OK sorry to hear that thanks for letting us know. We are on it right now!

    Same here had to use the following method to get front and back-end operational again…

    Follow the next steps in order to delete (remove) WordPress plugin manually via FTP:

    Download and install FTP client (for example, Filezilla).
    Open FTP client and enter your FTP access credentials (host, username and password) to access files on your server.
    Navigate to ‘yourwordpresswebsite/wp-content/plugins’ directory.
    Delete (remove) necessary plugin by deleting its folder.

    Same here – ended up with white screen. Have deleted files now, and commenting so that I can see updates 🙂

    Debug report:

    Fatal error: Uncaught ReflectionException: Class Codelight\GDPR\Modules\WooCommerce\WooCommerce does not exist in wp-content/plugins/gdpr-framework/vendor/illuminate/container/Container.php:729 Stack trace: #0 /wp-content/plugins/gdpr-framework/vendor/illuminate/container/Container.php(729): ReflectionClass->__construct(‘Codelight\\GDPR\\…’) #1 wp-content/plugins/gdpr-framework/vendor/illuminate/container/Container.php(608): Illuminate\Container\Container->build(‘Codelight\\GDPR\\…’) #2 /wp-content/plugins/gdpr-framework/vendor/illuminate/container/Container.php(575): Illuminate\Container\Container->resolve(‘Codelight\\GDPR\\…’) #3 wp-content/plugins/gdpr-framework/src/Setup.php(109): Illuminate\Container\Container->make(‘Codelight\\GDPR\\…’) #4 /plugins/gdpr-framework/src/Setup.php(40): Codeli in plugins/gdpr-framework/vendor/illuminate/container/Container.php on line 729

    Following

    This has been corrected – please let us know if there are still issues.

    Many apologies for the error on our part.

    Hi,
    The last update have corrupted my website impossible to have an acces to my website if your plugin is activate.

    How can i debug this and get back all the functions of the plugin ?

    Cheers

    Not sure what you mean by “corrected”?

    1.0.24 still causes errors.

    1.0.25 is fixed – no errors like this in the PHP log anymore. Everything is up and running. This was a nasty error because I have quite some sites running this plugin.

    PHP Fatal error: Uncaught ReflectionException: Class Codelight\GDPR\Modules\WooCommerce\WooCommerce does not exist in /wp-content/plugins/gdpr-framework/vendor/illuminate/container/Container.php:729

    • This reply was modified 2 months, 1 week ago by  Deskdesign.
Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.